Bug 480157 - heartbeat package depends on unneeded pygtk2
heartbeat package depends on unneeded pygtk2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: heartbeat (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-15 09:22 EST by Ingvar Hagelund
Modified: 2009-01-19 13:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-19 13:39:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ingvar Hagelund 2009-01-15 09:22:07 EST
Description of problem:
The main package of heartbeat requires pygtk2, though it does not use it in any script or binary. The requirement should be removed.

Version-Release number of selected component (if applicable):
2.1.4-2.fc11, 2.1.3-3.fc10, 

How reproducible:
Always

Steps to Reproduce:
1. rpm -q --requires heartbeat | grep gtk
2. rpm -ql heartbeat | grep -v 'share/doc' | while read i; do ldd $i 2>/dev/null | grep pygtk; grep pygtk $i 2>/dev/null; done | wc -l
  
Actual results:
heartbeat requires pygtk2

Expected results:
heartbeat should not require pygtk2. Only the gui subpackage should.
Comment 1 Kevin Fenzi 2009-01-17 18:29:44 EST
Fixed in rawhide. 
Do you think this warrants a update in F10?

I'd be inclined to leave it, but I can make an update if you like.
Comment 2 Ingvar Hagelund 2009-01-19 03:46:50 EST
I don't think it's necessary to make an update. But if there comes a bugfix or security update later, it should be included.

Ingvar
Comment 3 Kevin Fenzi 2009-01-19 13:39:28 EST
ok. Fair enough. I have merged that change into my local F-10 copy waiting for the next push out.

Thanks for the bug report.

Note You need to log in before you can comment on or make changes to this bug.